package ru.littlevictor.radio;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class AdapterActionList extends ArrayAdapter<String> {

	private String[] data;
    LayoutInflater lInflater;
    boolean isMain;

    public AdapterActionList(Context context, String[] data, boolean isMain) {
        super(context, 0, data);
        this.data = data;
        this.isMain = isMain;
    	lInflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    };
    
	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View view = convertView;
		if (view == null) {
			view = lInflater.inflate(R.layout.radio_main_choose_dialog_cell, parent, false);
		}
		((TextView) view.findViewById(R.id.text1)).setText(data[position]);
		ImageView img = (ImageView) view.findViewById(R.id.choose_img);
		switch (position) {
		case 0:
			img.setImageResource(R.drawable.ic_action_open_ext);
			break;
		case 1:
			if(isMain) {
				img.setImageResource(R.drawable.ic_action_numeric_shortcut);
			} else {
				img.setImageResource(R.drawable.ic_action_favorites);
			}
			break;
		}
	    		
		return view;
	};
};

