package ru.littlevictor.radio;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.LinearLayout;
import android.widget.RadioButton;

public class AdapterDialogChooseColor extends ArrayAdapter<String> {

    LayoutInflater lInflater;
    int selectedPosition;

    public AdapterDialogChooseColor(Context context, String[] data, int selectedPosition) {
        super(context, 0, data);
        this.selectedPosition = selectedPosition;
    	lInflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    };
    
	@Override
	public View getView(int position, View view, ViewGroup parent) {
        view = lInflater.inflate(R.layout.dialog_choose_color_cell, parent, false);
        LinearLayout colorCell = (LinearLayout) view.findViewById(R.id.color_cell);
        RadioButton radioButton = (RadioButton) view.findViewById(R.id.btn_radio);
        if(selectedPosition == position) {
            radioButton.setEnabled(true);
            radioButton.setChecked(true);
        }
		switch (position) {
		case 0:
			colorCell.setBackgroundResource(R.drawable.color_list_item_0);
            break;
		case 1:
			colorCell.setBackgroundResource(R.drawable.color_list_item_1);
			break;
		case 2:
			colorCell.setBackgroundResource(R.drawable.color_list_item_2);
			break;
		case 3:
			colorCell.setBackgroundResource(R.drawable.color_list_item_3);
			break;
		case 4:
			colorCell.setBackgroundResource(R.drawable.color_list_item_4);
			break;
		}
		return view;
	};
};

