package ru.littlevictor.radio;

import android.annotation.SuppressLint;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.ArrayList;

public class AdapterRadioMain extends ArrayAdapter<String> {

	private ArrayList<String> names;
	private ArrayList<String> urls;
    LayoutInflater lInflater;
    boolean showUrl;
    private int theme[];

    public AdapterRadioMain(Context context, ArrayList<String> names, ArrayList<String> urls, boolean showUrl) {
        super(context, 0, names);
        theme = ThemeChooser.getAppTheme(context);
        this.names = names;
        this.urls = urls;
        this.showUrl = showUrl;
    	lInflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    };
    
	@SuppressLint("DefaultLocale")
	@Override
	public View getView(int position, View view, ViewGroup parent) {
        if(showUrl) {
            view = lInflater.inflate(R.layout.radio_main_two_line_cell, parent, false);
            ((TextView) view.findViewById(R.id.text2)).setText(urls.get(position));
        } else {
            view = lInflater.inflate(R.layout.radio_main_single_line_cell, parent, false);
        }
		((TextView) view.findViewById(R.id.text1)).setText(names.get(position));
		ImageView img = (ImageView) view.findViewById(R.id.item_img);
		String url = urls.get(position).toLowerCase();
        if(theme[0] == R.color.color_theme_primary_1) {
            if ((position % 2) == 0 ) {
                view.setBackgroundResource(R.drawable.background_activated_list_odd_dark);
            } else {
                view.setBackgroundResource(R.drawable.background_activated_list_even_dark);
            }
        } else {
            if ((position % 2) == 0 ) {
                view.setBackgroundResource(R.drawable.background_activated_list_odd_light);
            } else {
                view.setBackgroundResource(R.drawable.background_activated_list_even_light);
            }
        }
        if(url.endsWith(".m3u") || url.endsWith(".pls") || url.endsWith(".m3u8") || url.endsWith(".ram")) {
            if(urls.get(position).startsWith("file:///data")) {
                img.setImageResource(R.drawable.ic_media_playlist_cached);
            } else {
                img.setImageResource(R.drawable.ic_media_playlist);
            }
        } else if (url.startsWith("udp://")) {
            img.setImageResource(R.drawable.ic_media_video);
        } else {
            img.setImageResource(R.drawable.ic_media_audio);
        }
		return view;
	};
};

